Intel® oneAPI HPC Toolkit
Get help with building, analyzing, optimizing, and scaling high-performance computing (HPC) applications.

oneapi error on 21.4 version

cisong1
Beginner
365 Views

We discovered an error as below: 

But it was not occurred on the 21.3 version of ONEAPI.

This problem was only occurred on 21.4 version of OneAPI. We progressed the test about it on the KNL. We were able to find similar issues such as below link.

We were able to find same issues. 

https://community.intel.com/t5/Intel-oneAPI-HPC-Toolkit/running-intel-oneAPI-MPI-test-f90-example-on...

 

Could you check about this issue?

 

$ mpirun -np 4 -f hostfile ./test_mpi.exe

[mpiexec@node8105] check_exit_codes (../../../../../src/pm/i_hydra/libhydra/demux/hydra_demux_poll.c:117): unable to run bstrap_proxy on node8106 (pid 39227, exit code 256)

[mpiexec@node8105] poll_for_event (../../../../../src/pm/i_hydra/libhydra/demux/hydra_demux_poll.c:159): check exit codes error

[mpiexec@node8105] HYD_dmx_poll_wait_for_proxy_event (../../../../../src/pm/i_hydra/libhydra/demux/hydra_demux_poll.c:212): poll for event error

[mpiexec@node8105] HYD_bstrap_setup (../../../../../src/pm/i_hydra/libhydra/bstrap/src/intel/i_hydra_bstrap.c:1062): error waiting for event

[mpiexec@node8105] HYD_print_bstrap_setup_error_message (../../../../../src/pm/i_hydra/mpiexec/intel/i_mpiexec.c:1015): error setting up the bootstrap proxies

[mpiexec@node8105] Possible reasons:

[mpiexec@node8105] 1. Host is unavailable. Please check that all hosts are available.

[mpiexec@node8105] 2. Cannot launch hydra_bstrap_proxy or it crashed on one of the hosts. Make sure hydra_bstrap_proxy is available on all hosts and it has right permissions.

[mpiexec@node8105] 3. Firewall refused connection. Check that enough ports are allowed in the firewall and specify them with the I_MPI_PORT_RANGE variable.

[mpiexec@node8105] 4. pbs bootstrap cannot launch processes on remote host. You may try using -bootstrap option to select alternative launcher.

 

And We have commercial license of ONEAPI, but we can not open Priority support ticket. Also Please check about it? 

 

Thanks and Regards, 

0 Kudos
3 Replies
HemanthCH_Intel
Moderator
342 Views

Hi,

 

Thanks for reaching out to us.

 

Unfortunately, we don't support KNL. Please find the below link for more information.

https://www.intel.com/content/www/us/en/developer/articles/release-notes/intel-oneapi-hpc-toolkit-re...

 

Please find the below link for the system requirements for Intel HPC Toolkit:

https://www.intel.com/content/www/us/en/developer/articles/system-requirements/intel-oneapi-hpc-tool...

 

Thanks & Regards,

Hemanth.

 

HemanthCH_Intel
Moderator
284 Views

Hi,

 

>>"We have commercial license of ONEAPI, but we can not open Priority support ticket. Also Please check about it?"

 To open a priority support ticket use the below link:

 https://www.intel.com/content/www/us/en/developer/get-help/priority-support.html

 

Could you please let us know if you have any other issues, if not could you please confirm whether we can close this thread from our end?

 

Thanks & Regards,

Hemanth.

 

HemanthCH_Intel
Moderator
261 Views

Hi,


We assume that your query is answered. If you need any additional information, please post a new question as this thread will no longer be monitored by Intel.


Thanks & Regards,

Hemanth.


Reply